Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.obj
Class WavefrontObject

    java.lang.Object
      com.obj.WavefrontObject

    public class WavefrontObject

extends java.lang.Object

Field Summary
`java.lang.String` | `fileName`
`double` | `radius`
`Vertex` | `rotate`
`Vertex` | `translate`
`float` | `xScale`
`float` | `yScale`
`float` | `zScale`

Constructor Summary
`WavefrontObject(java.lang.String fileName)`
`WavefrontObject(java.lang.String fileName, float scale)`
`WavefrontObject(java.lang.String fileName, float xScale, float yScale, float zScale)`
`WavefrontObject(java.lang.String fileName, float xScale, float yScale, float zScale, Vertex translation, Vertex rotation)`
`WavefrontObject(java.lang.String fileName, float scale, Vertex translation, Vertex rotation)`

Method Summary
`java.lang.String` | `getBoudariesText()`
`java.lang.String` | `getContextfolder()`
`Group` | `getCurrentGroup()`
`Material` | `getCurrentMaterial()`
`java.util.ArrayList<Group>` | `getGroups()`
`java.util.Hashtable<java.lang.String,Group>` | `getGroupsDirectAccess()`
`java.util.Hashtable<java.lang.String,Material>` | `getMaterials()`
`java.util.ArrayList<Vertex>` | `getNormals()`
`java.util.ArrayList<TextureCoordinate>` | `getTextures()`
`java.util.ArrayList<Vertex>` | `getVertices()`
`void` | `parse(java.lang.String fileName)`
`void` | `printBoudariesText()`
`void` | `setCurrentGroup(Group currentGroup)`
`void` | `setCurrentMaterial(Material currentMaterial)`
`void` | `setMaterials(java.util.Hashtable<java.lang.String,Material> materials)`
`void` | `setNormals(java.util.ArrayList<Vertex> normals)`
`void` | `setTextures(java.util.ArrayList<TextureCoordinate> textures)`
`void` | `setVertices(java.util.ArrayList<Vertex> vertices)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileName

    public java.lang.String fileName

### radius

    public double radius

### xScale

    public float xScale

### yScale

    public float yScale

### zScale

    public float zScale

### translate

    public Vertex translate

### rotate

    public Vertex rotate

Constructor Detail

### WavefrontObject

    public WavefrontObject(java.lang.String fileName)

### WavefrontObject

    public WavefrontObject(java.lang.String fileName,
                           float xScale,
                           float yScale,
                           float zScale)

### WavefrontObject

    public WavefrontObject(java.lang.String fileName,
                           float scale)

### WavefrontObject

    public WavefrontObject(java.lang.String fileName,
                           float scale,
                           Vertex translation,
                           Vertex rotation)

### WavefrontObject

    public WavefrontObject(java.lang.String fileName,
                           float xScale,
                           float yScale,
                           float zScale,
                           Vertex translation,
                           Vertex rotation)

Method Detail

### getContextfolder

    public java.lang.String getContextfolder()

### parse

    public void parse(java.lang.String fileName)

### setMaterials

    public void setMaterials(java.util.Hashtable<java.lang.String,Material> materials)

### setTextures

    public void setTextures(java.util.ArrayList<TextureCoordinate> textures)

### getTextures

    public java.util.ArrayList<TextureCoordinate> getTextures()

### setVertices

    public void setVertices(java.util.ArrayList<Vertex> vertices)

### getVertices

    public java.util.ArrayList<Vertex> getVertices()

### setNormals

    public void setNormals(java.util.ArrayList<Vertex> normals)

### getNormals

    public java.util.ArrayList<Vertex> getNormals()

### getMaterials

    public java.util.Hashtable<java.lang.String,Material> getMaterials()

### getCurrentMaterial

    public Material getCurrentMaterial()

### setCurrentMaterial

    public void setCurrentMaterial(Material currentMaterial)

### getGroups

    public java.util.ArrayList<Group> getGroups()

### getGroupsDirectAccess

    public java.util.Hashtable<java.lang.String,Group> getGroupsDirectAccess()

### getCurrentGroup

    public Group getCurrentGroup()

### setCurrentGroup

    public void setCurrentGroup(Group currentGroup)

### getBoudariesText

    public java.lang.String getBoudariesText()

### printBoudariesText

    public void printBoudariesText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD